<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDhcpServerReq StructType
 * @subpackage Structs
 */
class AddDhcpServerReq extends APIRequest
{
    /**
     * The dhcpServer
     * @var XDhcpServer
     */
    public $dhcpServer;
    /**
     * Constructor method for AddDhcpServerReq
     * @uses AddDhcpServerReq::setDhcpServer()
     * @param XDhcpServer $dhcpServer
     */
    public function __construct(XDhcpServer $dhcpServer = null)
    {
        $this
            ->setDhcpServer($dhcpServer);
    }
    /**
     * Get dhcpServer value
     * @return XDhcpServer|null
     */
    public function getDhcpServer()
    {
        return $this->dhcpServer;
    }
    /**
     * Set dhcpServer value
     * @param XDhcpServer $dhcpServer
     * @return AddDhcpServerReq
     */
    public function setDhcpServer(XDhcpServer $dhcpServer = null)
    {
        $this->dhcpServer = $dhcpServer;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDhcpServerReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
